/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.gson;

import java.util.Date;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * Builder to construct a {@link Gson} instance.
 *
 * @see EmptyDateTypeAdapter
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class SnookerGsonBuilder {

    private static final GsonBuilder GSON_BUILDER =
            new GsonBuilder().registerTypeAdapter(
                    Date.class, new EmptyDateTypeAdapter()
            );

    public static Gson build() {
        return GSON_BUILDER.create();
    }

}
