/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.json;

import org.hedgecode.snooker.api.IdEntity;

/**
 * Abstract ID Entity to JSON deserialize.
 *
 * @author Dmitry Samoshin aka gotty
 */
public abstract class JsonIdEntity extends JsonURLEntity implements IdEntity {

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        IdEntity idEntity = (IdEntity) obj;
        return getId() == idEntity.getId();
    }

    @Override
    public int hashCode() {
        int result = getClass().getSimpleName().hashCode();
        result = 31 * result + getId();
        return result;
    }

}
