/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.json;

/**
 * Null checking Token for parsing input JSON strings.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class JsonStringToken {

    private static final String NULL_QUOTES_TOKEN = "\"\"";
    private static final String NULL_JSON = "[null]";

    private JsonStringToken() {
    }

    public static String token(String json) {
        if (json == null || json.isEmpty() || NULL_QUOTES_TOKEN.equals(json))
            return NULL_JSON;
        return json;
    }

}
